package org.ajax4jsf.autotest;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class AutoTestContext {
	
	String component;
	
	List<String> events = new ArrayList<String>();
	
	Map<String, String> attributes = new HashMap<String, String>();
	
	String rendered;
	
	public AutoTestContext(String component) {
		this.component = component;
	}
	
	public void addEvent(String ev) {
		events.add(ev);
	}
	
	public void addAttribute(String name, String value) {
		attributes.put(name, value);
	}

	/**
	 * @return the component
	 */
	public String getComponent() {
		return component;
	}

	/**
	 * @return the events
	 */
	public List<String> getEvents() {
		return events;
	}
	
	public Map<String, String> getAttributes() {
		return attributes;
	}

	/**
	 * @return the rendered
	 */
	public String getRendered() {
		return rendered;
	}

}
